memory leakage messages (no talloc stackframe)

Bug #1257186 reported by Doug Smythies on 2013-12-03
This bug affects 415 people
Affects Status Importance Assigned to Milestone
One Hundred Papercuts
Undecided
Unassigned
samba
Fix Released
Medium
samba (Debian)
Fix Released
Unknown
samba (Ubuntu)
High
Unassigned
Trusty
High
Unassigned

Bug Description

[Impact]

 * Warning messages related to memory leaks "no talloc stackframe at"
   are present at login and other PAM services when libpam-smbpass is
   installed.

 * Backporting the fix resolves the warning messages and memory leak.

 * The upload incorporates the upstream fix from Samba.

[Test Case]

 * On a Trusty 14.04 system:
   1. sudo apt-get install libpam-smbpass
   2. sudo passwd <user on the system>
   3. if bug is present in samba, then the output looks like:

% sudo passwd <user>
no talloc stackframe at ../source3/param/loadparm.c:4864, leaking memory
Enter new UNIX password:

   4. After applying the updated packages the 'no talloc stackframe at'
   message is no longer present during step 2.

[Regression Potential]

 * The changes are in the area of samba password authentication so it would be worth exercising Samba client password manipulation.

[Original Description]
This message appears a lot as of a recent update to samba (Trusty development branch):

no talloc stackframe at ../source3/param/loadparm.c:4831, leaking memory

From this upstream bug report, I am lead to believe the issue is in libpam-smbpass, but I don't really know for sure.

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=728666

I am filing this bug report mainly so that I can refer to it on the testing tracker as an issue, while still setting the test case to pass. Note that other than the error message itself, I am not aware of any bad side effect.

doug@v32-serv04:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu Trusty Tahr (development branch)
Release: 14.04
Codename: trusty

Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1257186

tags: added: iso-testing
Robie Basak (racb) on 2013-12-03
Changed in samba (Ubuntu):
importance: Undecided → Medium
Changed in samba (Debian):
status: Unknown → New
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in samba (Ubuntu):
status: New → Confirmed
Changed in samba:
importance: Unknown → Medium
status: Unknown → Confirmed
James Dupin (james.dupin) wrote :

this "problem" appears after installation of libpam-smbpass and disappears when this program is removed

anake (g-n-sivalingam) wrote :

I also have this issue. It appears to have also been raised at the samba bugzilla page:

https://bugzilla.samba.org/show_bug.cgi?id=10420

Sander Jonkers (jonkers) wrote :

I can confirm James Dupin's post: gone after "sudo apt-get remove libpam-smbpass".

See http://ubuntuforums.org/showthread.php?t=2214042 with my experience before I saw this post.

Sander Jonkers (jonkers) wrote :

PS:

So that Google will find it, I'll post my exact message with a different (line?) number:

"no talloc stackframe at ../source3/param/loadparm.c:4864, leaking memory"

HTH

Changed in samba:
status: Confirmed → In Progress
Ryan Beisner (1chb1n) wrote :

This bug exists in Trusty Server ISO 2014-APR-02.

I'm getting this error upon each login, and periodically during my console sessions:

     no talloc stackframe at ../source3/param/loadparm.c:4864, leaking memory

Nominated for Trusty series.

David Peters (daveshow) wrote :

Confirmed to jonkers post #5 removing libpam-smbpass removes the error.

Arup (arup-chowdhury) wrote :

Confirmed I have same issue with 14.04 x64 beta updated as well.

Ryan Beisner (1chb1n) wrote :

Issue exists in Trusty server ISO 2014-APR-09.

Workaround confirmed, but I've not explored other potential effects of removing this package:
sudo apt-get remove libpam-smbpass

tags: added: trusty
Dmitry Veltishev (vdmit) wrote :

Confirming this issue on 14.04 release (x64, if it's important).

Swapnil A Wagh (wagh-aswapnil) wrote :

Confirmed I also have same issue with 14.04 x64 beta updated as well.

no talloc stackframe at ../source3/param/loadparm.c:4864, leaking memory

trinkity (trinkity) wrote :

when restart apache
no talloc stackframe at ../source3/param/loadparm.c:4864, leaking memory
 * Restarting web server apache2 [ OK ]

Thomas Reusch (reusch) wrote :

Confirmed with 14.04 (x86) and latest updates.

Fresh install with minimal iso; afterwards in tasksel selected "Basic Ubuntu Server", "OpenSSH server", "Mail-Server" and "Samba file server".
When sudo-ing the first time after running tasksel, the error occured.

Fix:
run "pam-auth-update" and remove "SMB password synchronization".

Quentin (quentin-divay) wrote :

Confirmed with 14.04 x64, every time i run the sudo command :

quentin@asus-N56VZ:~$ sudo su
[sudo] password for quentin:
no talloc stackframe at ../source3/param/loadparm.c:4864, leaking memory
root@asus-N56VZ:/home/quentin#

Jacco van der Post (jacco-v) wrote :

Confirmed, solution of Thomas works for me, thanks.

Douglas Fink (doug1654) wrote :

I have had the same issue since upgrading 13.10 to 14.04. Thomas solution did not work for me.

Rory Jaffe (rsjaffe) wrote :

Upgraded 13.10 x64 server to 14.04. Consistently seeing this message whenever running sudo. For example,

xxx@xxx:/$ sudo -e testfile
[sudo] password for xxx:
no talloc stackframe at ../source3/param/loadparm.c:4864, leaking memory

wxdubuntu (wxd11011) wrote :

Confirming this issue on 14.04 LTS release (x64).

wylnux (wilpgam) wrote :

Im upgrade of Ubuntu 13.10 2 ubuntu 14.04 yesterday and,
im ever at use a sudo comand . receive its message:

wylnux@expariom:/$ sudo su
[sudo] password for wylnux:
no talloc stackframe at ../source3/param/loadparm.c:4864, leaking memory

and im proced to uninstall "libpam-smbpass" with:

wylnux@expariom:/$ sudo apt-get remove libpam-smbpass

and work perfectly... thanks so much
Comfirm this solution work...

Changed in samba (Ubuntu):
status: Confirmed → Fix Committed
status: Fix Committed → Confirmed
assignee: nobody → wilpgam (wilpgam)
pieterjanvu (pieterjanvu) wrote :

Although removing the package may fix the message, libpam-smbpass is required to sync user accounts with samba passwords. Removing that packaging removes that functionality.

Robie Basak (racb) wrote :

Reproduced on a fresh Trusty cloud image. Steps to reproduce:

1. apt-get install libpam-smbpass
2. sudo passwd ubuntu

Expected result:

Enter new UNIX password:

Actual result:

no talloc stackframe at ../source3/param/loadparm.c:4864, leaking memory
Enter new UNIX password:

This should help with verifying a fix.

Robie Basak (racb) wrote :

@wilpgam

Do you intend to work on this yourself, or did you assign the bug to yourself by accident? I'll assume the latter?

Changed in samba (Ubuntu):
assignee: wilpgam (wilpgam) → nobody
wylnux (wilpgam) wrote :

@pieterjanvu @Robie Basak... thanks 4 ur reply
obviously if I uninstall this functionality, entered into security risk when working in large companies and ports are shared. but this solution is only in my case because I work on a single network, mine ....
and do not recommend it, but in my case to do this I lose the functionality that provides security ... (sorry 4my Inglés)

My question: How fix

how to fix that this message appearing not more without disabling lib?....
....

Marco Scacchi (scamar) wrote :

As Thomas (reusch) suggest in #14 :
____
Fix:
run "pam-auth-update" and remove "SMB password synchronization".
____

This isn't a security issue, simply you must remember that your samba password may not match your system password.
In an enterprise enviroment, if ubuntu is used as samba server, i bet it use kerberos tickets to verify the users identity throught domain controller or alternative ldap infrastructure.

Robie Basak (racb) wrote :

I tried the patch in the upstream bug, but this did not fix my test case. For the record, I'll attach the debdiff I attempted (that doesn't work).

Changed in samba (Ubuntu Trusty):
milestone: none → ubuntu-14.04.1
status: New → Triaged
importance: Undecided → Medium
Changed in samba (Ubuntu Trusty):
status: Triaged → In Progress

I accidentally hit the status of this bug and changed it, now I can't change it back. Sorry for the trouble!

Dave Gilbert (ubuntu-treblig) wrote :

Thomas: I've flipped it back.

Changed in samba (Ubuntu Trusty):
status: In Progress → Triaged

This importance of this bug should probably be reexamined, because it has impact on other softwares, like Netatalk. It prevents AFP shares from being accessible and make Netatalk totally useless.

Here is a syslog trace where Netatalk crash because of this bug :

May 17 10:48:29 ace-of-spades afpd[3498]: ===============================================================
May 17 10:48:29 ace-of-spades afpd[3498]: INTERNAL ERROR: Signal 11 in pid 3498 (2.2.2)
May 17 10:48:29 ace-of-spades afpd[3498]: ===============================================================
May 17 10:48:29 ace-of-spades afpd[3498]: BACKTRACE: 3 stack frames:
May 17 10:48:29 ace-of-spades afpd[3498]: #0 /usr/sbin/afpd(netatalk_panic+0x1f) [0x7f4acaaf08bf]
May 17 10:48:29 ace-of-spades afpd[3498]: #1 /usr/sbin/afpd(+0x549bc) [0x7f4acaaf09bc]
May 17 10:48:29 ace-of-spades afpd[3498]: #2 /lib/x86_64-linux-gnu/libc.so.6(+0x36ff0) [0x7f4ac9440ff0]

See this bug report : https://bugs.launchpad.net/ubuntu/+source/netatalk/+bug/810732

Disabling SMB password synchronization (for example with pam-auth-update) not onyl remove the error message of this bug but also restore Netatalk behavior.

Changed in samba (Ubuntu):
status: Confirmed → Triaged
Larry Chipps (larry-chipps7) wrote :

I had been experiencing this bug until I set up RSA authentication for all my console sessions, and disabled password notifications. Once I did that, I have not seen any recurrences.

Larry Chipps (larry-chipps7) wrote :

I should have said password authentications there- not password notifications.

Larry Chipps (larry-chipps7) wrote :

and after two error free days, the error returned after a successful install and configuration of Minidlna...err... ReadyMedia if the copyright police are lurking.

Arup (arup-chowdhury) wrote :

I am affected with the same bug on my Trusty Thar but unfortunately solution on post number 14 leads to unable to retrieve shares list so have to turn the smb pass synchronization on to gain access to samba shared folders.

Neeraz Poudel (v-info-m) wrote :

after i run this command "sudo apt-get remove libpam-smbpass"
ubuntu doesnt start.
i see the Ubuntu logo with dots below and then a blank screen after that.
if i close lid and open again i see button labeled with [OK] and nothing happens.
please help.

Hanine HAMZIOUI (hanynowsky) wrote :

"sudo pam-auth-update " did the trick for me.

jerry moss (gfmoss) wrote :

confirming affects server 14.04 installed by netboot, with smb file and print server, ssh server, selected.

doliveira (nquare) wrote :

Hi,

I have a HP Microserver N40L and on a fresh installation of Ubuntu Server 14.04 LTS i get the same Leaking Memory Problem.

Because im new using Ubuntu Server, can please someone please help me on this and respond to 3 simple questions i have:

1- Besides removing "libpam-smbpass" is there any other solution for this problem?

2- Until Ubuntu team releases a fix / update for this, can i still use Ubuntu Server 14.04 LTS, without problems? How does this memory leaking problem affects my system?

3- On the installation process i choose to install Samba. If i don't install Samba will the Leaking Memory problem still happen?

Thanks

Wayne (wayne-okuma) wrote :

On fresh 14.04 install with "Samba File Server" selected during install...I hit the same "leaking memory" message when i 'sudo su'. Confirmed was able to run 'pam-auth-update' and deselected "SMB password synchronization" option in the pam-auth-update UI and the "leaking memory" no longer appears. However, i don't know if this actually prevents the memory leak or if there are any other side-effects.

Looks like the folks at Samba have address the bug and have it staged for the next release:
https://bugzilla.samba.org/show_bug.cgi?id=8449

Benjamin Xiao (ben-r-xiao) wrote :

Any idea when this will land in 14.04?

Robie Basak (racb) wrote :

Bumping to High as this now affects 258 people.

Changed in samba (Ubuntu):
importance: Medium → High
Changed in samba (Ubuntu Trusty):
importance: Medium → High
Changed in samba:
status: In Progress → Fix Released
doliveira (nquare) wrote :

Hi,

Can anyone confirm that this bug is already fixed if we now download and install a fresh Ubuntu Server 14.04 from ubuntu website?

Or for the fix released we after install Ubunto have to make a apt get update?

Thanks

IKT (ikt) wrote :

@doliveira

Samba version is currently 4.0, the fix is intended to be released apart of the Samba 4.1 release.

Samba 4.1 may be released as an update to Ubuntu 14.04 or the Ubuntu devs may take just the memory leak patch and put it into 4.0 and then put that through as an update.

Either way unless you manually download and compile the latest test release of Samba 4 it's going to be a while yet before it's in the package you get from apt-get install samba

Nick Minkler (nick-minkler) wrote :

Just updated to latest samba on trusty repositories today as a new samba was released and this is re-broken.

Upgraded my 12.04 to 14.04.1 LTS on 2014-08-06 and got the memory leak message after every sudo command.

Solved it with: sudo pam-auth-update
and removing the * for "SMB password synchronization" (see also #37)

Marcos Jr (junalmeida) wrote :

I want to stick with pam sync pwd funcionality.
Is there a way to get this fix through apt-get ?

```
samba:
  Installed: 2:4.1.6+dfsg-1ubuntu2.14.04.3

libpam-smbpass:
  Installed: 2:4.1.6+dfsg-1ubuntu2.14.04.3
```

Changed in samba (Ubuntu Trusty):
milestone: ubuntu-14.04.1 → ubuntu-14.04.2
Robie Basak (racb) wrote :

I tried the attached patch from upstream on July 17th, but had an FTBFS in Utopic for unrelated reasons. I haven't had time to look further yet.

doliveira (nquare) wrote :

@Brian Murray,

Hi. Can you confirm this problem will be fixed on the Ubuntu 14.04.2 release? If yes do you know when this version will be released?

@Robie Basak,

Hi, When you can, please inform us if the patch as worked and fixed the problem. Thanks

tags: added: patch
monochromec (monochromec) wrote :

Apparently the patch didn't make it into samba 4.1. I upated to 4.1 at the beginng of August and I am still experiencing this bug. Can somebody confirm that the patch made it into 4.1?

Damian Yerrick (tepples) on 2014-08-24
summary: - memory leakage messages
+ memory leakage messages (no talloc stackframe)
db666 (dany-f) wrote :

I still have the bug.

smbd -V
Version 4.1.6-Ubuntu

 uname -a
Linux homeshare 3.13.0-32-generic #57-Ubuntu SMP Tue Jul 15 03:51:08 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

goofrider (goofrider) wrote :

I checked Samba changelog, the patch was included in Samba 4.1.10. It's scheduled for release with Trusty 14.04.2 can manually pull the Samba package from Utopic (currently @ 4.1.11) now. You can also use this PPA, which tracks the latest Samba upstream releases.

https://launchpad.net/~martinx/+archive/ubuntu/ig

From http://www.samba.org/samba/history/samba-4.1.10.html

BUG 8449: Simple use case results in "no talloc stackframe around, leaking
      memory" error.)

steve.horsley (steve-horsley) wrote :

FTR, the bug also seems to prevent vsftpd FTP server from accepting user logins, rendering vsftpd unusable.

Bill Weinel (bweinel) wrote :

Same problems noted here after an upgrade from 12.04 server to 14.04.1 server preventing user logins to vsftpd. I apt-get removed libpam-smbpass and vsftpd now works again here.

monochromec (monochromec) wrote :

Please note that this bug affects *all* packages using libsmclient, ranging from the python client side library right up to VLC and XBMC apart from the ones mentioned above.

I am a bit surpised that - given the scope of this bug - it's still unassigned (although the importance has been raised to "high", where it belongs). What's the proper way to escalate this?

Jeff Lane (bladernr) wrote :

Just adding more griping :) would be nice to see this fixed in Trusty sometime before next February

bladernr@klaatu:~$ ftp transit
Connected to transit.lanes.
220 (vsFTPd 3.0.2)
Name (transit:bladernr): bladernr
331 Please specify the password.
Password:
no talloc stackframe at ../source3/param/loadparm.c:4864, leaking memory
Login failed.
Remote system type is Login.

Gabriele (lordronk) wrote :

Is there a solution without removing libpam-smbpass??

Arjan.S (antoniya001) wrote :

I updated to 14.10 and the bug is no longer present.

Jeff Sereno (jsereno) wrote :

I've had this error since installing the Beta of 14.04 Server, upgrading it periodically to current release.

Using Thomas' suggestion, I ran "sudo pam-auth-update" and unchecked "SMB Password Synchronization".

Did a test and found the problem disappeared. Good stuff.

I then decided to re-run "sudo pam-auth-update" and re-check "SMB Password Synchronization", just out of curiosity.

The error has NOT reappeared since re-enabling "SMB Password Synchronization", so I'm guessing that along with any of the upstream Samba fixes, you've also had to re-write a config file somewhere.

So far everything seems peachy for me.

Nick Bunyan (nick-bunyan) wrote :

I am running 14.04.1 and have reproduced Jeff's steps above [pam-auth-update off then back on] and in my case the error message simply re-appears once SMB is re-enabled.

'no talloc stackframe at ../source3/param/loadparm.c:4864, leaking memory'

monochromec (monochromec) wrote :

This still might point back to the talloc issue I pointed out earlier in this thread.

Checking libtalloc2 on both trusty and utopic (14.04.1 and 14.10) reveals the following:

trusty: 49704 Oct 21 2013 /usr/lib/x86_64-linux-gnu/libtalloc.so.2.1.0
utopic: 59560 Jul 6 07:12 /usr/lib/x86_64-linux-gnu/libtalloc.so.2.1.1

So different versions, patchlevels and sizes...

Apparently the talloc2 patch present in 14.10 didn't make into 14.4.1; if somebody upstream is reading this it would be great to have a timeline for inclusion into the 14.4 base.

jdouglas50 (jdouglas50) wrote :

I followed Jeff's steps as well but I got the same results as Nick. The problem reappears when pam-auth-update is turned back on.

Coeur Noir (coeur-noir) wrote :

I've just installed (L)uBuntu 14.04.1 from mini.iso - with samba.

'no talloc stackframe at ../source3/param/loadparm.c:4864, leaking memory' is also there.

Before trying anything to get rid of that error message, is this worth trying ?

What are the consequences of just let it as is and waiting for update ?

(I will use Samba for sharing folders on a little office network, with (simple) passwords for each user - no ldap or kerberos)

Doug Smythies (dsmythies) wrote :

@Coeur: I entered this bug report over 11 months ago, and have simply ignored the error ever since. I haven't had any problems.

NoOp (glgxg) wrote :

I think that I'll just remove it - see:
<https://bugzilla.samba.org/show_bug.cgi?id=10669>
(libpam-smbpass leaks file descriptors when PAM authenticates multiple times in a single process)

Andrew Berry (andrewberry) wrote :

I'm using netatalk as well, and this bug was causing /run/samba/gencache_notrans.tdb to grow to several hundred MB until /run was out of space. According to tdbtool the database itself was basically empty, but it was still taking up disk even after a repack. Disabling the module with pam-auth-update looks to have fixed the problem.

Disabling the module with pam-auth-update makes the problem go away for me. If I re-enable the problem comes back.

This should be a HIGH priority bug.

The problem will occur after a successful su command.

Running with all the available patches available today.

Mika Anttila (mika-anttila) wrote :

I installed the 14.04.1 LTS for my server. Samba was not selected during the installation. I Installed it manually without a problem. The problem occured immediately after installing the libpam-smbpass. My Samba version is 4.1.6-Ubuntu

This issue seems to be resolved by the samba team already in July (https://bugzilla.samba.org/show_bug.cgi?id=8449). It says it has been fixed in 4.1 but the fix is not in 4.1 for Ubuntu ?

Having a fix in 14.10 is not a resolution. 14.04 is a LTS for (production) servers and must receive the fix through normal package upgrades. Is this bug really "not assigned" in the Ubuntu team ?

monochromec (monochromec) wrote :

It would be interesting to hear about timelines from upstream Canonical support when the fix is finally integrated in the 14.04 LTS codebase.

Any updates on this?

Luca Reverberi (socketreve) wrote :

No one can make a patch for this release?
We have to wait for ubuntu-14.04.2 ? really?

This MUST be a HIGH priority bug!

Heiko (heiko-barg) wrote :

I also can't understand why it is not fixed already. Because on 14.10 the fix is already released ...so it exists one! :-(

Arthur (ikkeniet) wrote :

Another Ubuntu user with the same memory leak issue.
Just like others said, how can it be that the LTS version hasn't got the fix that was already released in July?
This is another one of these "Linux quirks" that makes you wonder if using LTS was worth it?
 Should be top priority but seemingly the devs do not care. I'm puzzled.

On my machine message looks like this (i.e. when i sudo winecfg):

xxx@xxx-pc:~$ sudo winecfg
[sudo] password for xxx:
no talloc stackframe at ../source3/param/loadparm.c:4864, leaking memory
Ignoring unknown parameter "password level"
Ignoring unknown parameter "update encrypted"
wine: /home/xxx/.wine is not owned by you

I have all kind of samba packages installed, also the libpam stuff and pam auth, took me 2 hours to get samba to browser my network, then my user password was changed, when samba and ubuntu passwords where synced, the i had to re-passwd my user, now samba works, ubuntu works, but i get this message. i must say that samba has to be considered completely broken on ubuntu 14.04 LTS as the "Local network share"-feature in the File manager does nothing useful at all, it just doenst bring samba to life, one has to install samba by hand and go through the hole pain in the ass smb.conf procedure, as sambe is a pure pain in the ass to configure.
gtz

Achim Behrens (k1l) wrote :

i really cant think how this could be waited so long to ship a fix. this is really not acceptable.

Nick Minkler (nick-minkler) wrote :

Still broken in 14.04.2.

Changed in samba (Ubuntu Trusty):
status: Triaged → Incomplete
status: Incomplete → New
Changed in samba (Ubuntu Trusty):
status: New → Confirmed

This error makes my dovecot's auth-worker get down since I use both system accounts and virtual mail boxes... So it's serious to me... Probably, there occur such problems...

Mark Wilson (mark-wilson-d) wrote :

Confirmed in Ubuntu 14.04.02 LTS after recent upgrade from Ubuntu 12.04 LTS.

Brian Trotter (brian-trotter) wrote :

Confirmed in Ubuntu 14.04.02 LST after fresh install.

Brian Trotter (brian-trotter) wrote :

Correction: make that 14.04.02 LTS Server.

I also get it when starting python:
Ignoring unknown parameter "password level"
Ignoring unknown parameter "update encrypted

23W (kyselgov) wrote :

Confirmed in Ubuntu 14.04.02 LST x64 after fresh install.

Geoffrey McClinsey (geoffmcc) wrote :

Confirmed in Ubuntu 14.04.02 LST x64.

I did not notice it until after I updated, but maybe it was there.

Confirmed in Ubuntu 14.04.02 LST x64.
Fresh install.

Chad (chad-z) wrote :

Still and issue. Ubuntu 14.04.2 LTS (GNU/Linux 3.16.0-37-generic x86_64)

chad@server:~$ sudo su
[sudo] password for chad:
no talloc stackframe at ../source3/param/loadparm.c:4864, leaking memory
root@server:/home/chad#

CaesarS (cmsamsi) wrote :

Wow, this bug has a long history.

I can confirm the issue as well with 4.1.6 and 4.2.1 I've isolated to the line:

auth optional pam_smbpass.so migrate

Configured in /etc/pam.d/common-auth

That line is added by libpam package installation and also by using pam-auth-update to enable SMB Password Synchronization

For 4.2.1 the error however occurs in su:

*** Error in `su': double free or corruption (fasttop): 0x000000000110d800 ***
Aborted

Which happens after the password is entered.

Ian (iguy) wrote :

This is happening still in 14.04.2.

I installed libpam-smbpass:amd64 2:4.1.6+dfsg-1ubuntu2.14.04.7

Whenever I do sudo commands and login in the issue shows up with talloc.

lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 14.04.2 LTS
Release: 14.04
Codename: trusty

Ian Abbott (ian-abbott) wrote :

I think this should be easy to fix if Canonical can find anyone to assign the bug to. I managed to fix it locally by following the guide at https://help.ubuntu.com/community/UpdatingADeb to rebuild the samba packages from source with the upstream patch applied. For the final step, I used "sudo debi -u" instead of "sudo debi" to only upgrade the existing packages instead of installing all of them.

James Knox (binarymonk) wrote :

I can also confirm this is still an issue:

no talloc stackframe at ../source3/param/loadparm.c:4864, leaking memory

SYSTEM SETTINGS:

Operating system : Linux Mint 17.1 Cinnamon 64bit
Cinnamon Version : 2.4.5
Linux Kernel : 3.13.0-37 generic

Confirmed no longer an issue once "libpam-smbpass" removed.

Ian Abbott (ian-abbott) wrote :

I'm not sure why unresolved bugs for missed milestones can't be moved to the next milestone automatically. Less chance of them being ignored that way!

Donovan Long (donovan-long) wrote :

Thank you #89. It's a PITA to do, but it does work as Ian described and the error no longer appears when I use sudo.

Chad (chad-z) wrote :

Xavier wrote that this needs to be moved somewhere else. Does anyone know how to do that? If someone can explain to me what needs to happen, I'll be happy to do it myself. Removing libpam-smbpass is not an option for me, nor is it, in my opinion, an appropriate "fix". I can't believe no one is looking at this.

Doug Smythies (dsmythies) wrote :

Chad wrote:
>Xavier wrote that this needs to be moved somewhere else.
> Does anyone know how to do that?
> If someone can explain to me what needs to happen,

I changed the trusty target from 14.04.2 (which is in the past) to 14.04.3 (which is in the future, albeit, not far off)

Changed in samba (Ubuntu Trusty):
milestone: ubuntu-14.04.2 → ubuntu-14.04.3
gollum53 (smid) wrote :

This bug also affects vsftpd functionality. When SMB password synchronisation is selected in pam-auth-update, vsftpd can not authenticate users and segfaults with OOPS message. This seems like a critical bug to me and should be corrected as soon as possible in a LTS server release...

Robie Basak (racb) wrote :

> This bug also affects vsftpd functionality. When SMB password synchronisation is selected in pam-auth-update, vsftpd can not authenticate users and segfaults with OOPS message.

This sounds like bug 1348972 in vsftpd and I don't think a fix to this samba bug will affect it.

Ian Abbott (ian-abbott) wrote :

gollum53 wrote in comment #96:
> This bug also affects vsftpd functionality. When SMB password synchronisation is selected in pam-auth-update, vsftpd can not authenticate users and segfaults with OOPS message.

I had a quick go at trying to reproduce that to see if I could install a modified libpam-smbpass to make the problem go away, but I was unable to reproduce it. That was probably related to these messages in my /var/log/auth.log:

Jun 23 11:33:20 ubuntu vsftpd: PAM unable to dlopen(pam_smbpass.so): /lib/security/pam_smbpass.so: cannot open shared object file: No such file or directory
Jun 23 11:33:20 ubuntu vsftpd: PAM adding faulty module: pam_smbpass.so

as the PAM modules such as pam_smbpass.so are actually installed in /lib/x86_64-linux-gnu/security/ on my 64-bit system, not /lib/security/. This is a separate issue with vsftpd not worth dwelling on in this bug, though I did try symlinking /lib/x86_64-linux-gnu/security to /lib/security and got these errors instead:

Jun 23 11:51:40 ubuntu vsftpd: PAM unable to dlopen(pam_smbpass.so): libsamba-hostconfig.so.0: failed to map segment from shared object: Cannot allocate memory
Jun 23 11:51:40 ubuntu vsftpd: PAM adding faulty module: pam_smbpass.so

At that point I gave up trying to reproduce the problem with vsftpd!

Ryan Harper (raharper) on 2015-06-24
description: updated
Ryan Harper (raharper) wrote :

I've confirmed that this is already fixed in Wily.

Ryan Harper (raharper) on 2015-06-24
Changed in samba (Ubuntu):
status: Triaged → Fix Released
Robie Basak (racb) wrote :

SRU from Ryan Harper sponsored and uploaded. Thanks! Now awaiting review from the SRU team.

Changed in samba (Ubuntu Trusty):
status: Confirmed → In Progress
Chad (chad-z) wrote :

Would someone explain the last several updates? What is the SRU team and what kind of review are they performing? Finally (and possibly most importantly), how can the status be "In Progress" when the ticket is still "Unassigned"?

Thanks in advance!

On Thu, Jun 25, 2015 at 7:44 PM, Chad <email address hidden> wrote:

> Would someone explain the last several updates? What is the SRU team
>
and what kind of review are they performing? Finally (and possibly most

Hi, I think most of your questions will be answered by looking at the
Stable Release Update wiki page:

https://wiki.ubuntu.com/StableReleaseUpdates

I've applied and tested the upstream fix for this issue to the Samba
package in trusty.
I've confirmed that the fix that's upstream in Samba is not present in the
current development release (Wily)
And I've packaged up the fix for trusty and submitted for the SRU team to
review. If approved, there will be
a test package published to be verified and if all goes well it will be
released into the
Trusty updates stream.

importantly), how can the status be "In Progress" when the ticket is
> still "Unassigned"?
>

Work is under-way, specially the Trusty SRT task is in progress; bug
assignment isn't required AFAIK.

Hope that helps,
Ryan

Hello Doug, or anyone else affected,

Accepted samba into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/samba/2:4.1.6+dfsg-1ubuntu2.14.04.8 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in samba (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed
whoop (whoopwhoop) wrote :

I did a dist-upgrade with trusty proposed and the leakage message is gone for me...

Ian Abbott (ian-abbott) wrote :

libpam-smbpass 2:4.1.6+dfsg-1ubuntu2.14.04.8 fixes it for me.

Miklos Juhasz (mjuhasz) on 2015-07-02
tags: added: verification-done
removed: verification-needed
jswinner (jswinner) wrote :

Unable to test at this time, too many umet dependencies

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package samba - 2:4.1.6+dfsg-1ubuntu2.14.04.8

---------------
samba (2:4.1.6+dfsg-1ubuntu2.14.04.8) trusty; urgency=medium

  * Fix for "no talloc stackframe at" warning messages (LP: #1257186)

 -- Ryan Harper <email address hidden> Mon, 22 Jun 2015 08:48:37 -0500

Changed in samba (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for samba has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Changed in hundredpapercuts:
status: New → Fix Released
Changed in samba (Debian):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.